---
apiVersion: "v1"
kind: "Template"
metadata:
  annotations:
    fabric8.vertx-simplest/iconUrl: "img/icons/vertx.svg"
    fabric8.vertx-simplest/summary: "Simple embedded vert.x fatjar"
    description: "Simple embedded vert.x fatjar"
  labels: {}
  name: "vertx-simplest"
objects:
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations:
      fabric8.io/iconUrl: "img/icons/vertx.svg"
    labels:
      project: "vertx-simplest"
      provider: "fabric8"
      version: "2.2.131"
      group: "quickstarts"
    name: "vertx-simplest"
  spec:
    deprecatedPublicIPs: []
    externalIPs: []
    ports:
    - port: 80
      protocol: "TCP"
      targetPort: 8080
    selector:
      project: "vertx-simplest"
      provider: "fabric8"
      group: "quickstarts"
    type: "LoadBalancer"
- apiVersion: "v1"
  kind: "ReplicationController"
  metadata:
    annotations:
      fabric8.io/iconUrl: "img/icons/vertx.svg"
      fabric8.io/git-branch: "release-v2.2.131"
      fabric8.io/git-commit: "e70922f35d9b6e30987f8dbddb54e201a767257f"
      fabric8.io/build-url: "http://null:80/job/oss-parent/4"
      fabric8.io/build-id: "4"
    labels:
      project: "vertx-simplest"
      provider: "fabric8"
      version: "2.2.131"
      group: "quickstarts"
    name: "vertx-simplest"
  spec:
    replicas: 1
    selector:
      project: "vertx-simplest"
      provider: "fabric8"
      version: "2.2.131"
      group: "quickstarts"
    template:
      metadata:
        annotations: {}
        labels:
          project: "vertx-simplest"
          provider: "fabric8"
          version: "2.2.131"
          group: "quickstarts"
      spec:
        containers:
        - args: []
          command: []
          env:
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "fabric8/vertx-simplest:2.2.131"
          name: "vertx-simplest"
          ports:
          - containerPort: 8778
            name: "jolokia"
          readinessProbe:
            httpGet:
              httpHeaders: []
              path: "/"
              port: 8080
            initialDelaySeconds: 5
            timeoutSeconds: 30
          resources:
            limits:
              cpu: "0"
              memory: "0"
            requests:
              cpu: "0"
              memory: "0"
          securityContext: {}
          volumeMounts: []
        imagePullSecrets: []
        nodeSelector: {}
        volumes: []
parameters: []
